import java.awt.event.*;
import javax.swing.JFrame;
import javax.swing.*;
import javax.swing.JOptionPane;
import javax.swing.JMenuItem;
import javax.swing.JFileChooser;
import java.lang.Object;
import java.io.File;
import java.awt.Container;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.*;

public class WorldControlMenuListener implements ActionListener {
   private MyWorld world;
   public WorldControlMenuListener (MyWorld w){
      world = w;
   }
   public void actionPerformed(ActionEvent e) {
      JMenuItem menuItem = (JMenuItem)(e.getSource());
      String text = menuItem.getText();
      if (text.equals("Reset")) world.reset();
         if (text.equals("Reglas")) {
         JFrame reglas = new JFrame("Reglas del juego");
			reglas.setVisible(true);
			reglas.setBounds(0,0,1024,MyWorldView.HEIGHT);
			reglas.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
				
			JPanel container = new JPanel();
		   ImageIcon image = new ImageIcon("src/Reglas.png");
			JLabel label = new JLabel("", image, JLabel.CENTER);

			JScrollPane scrPane = new JScrollPane(container);
			container.add( label, BorderLayout.CENTER );
		   reglas.getContentPane().add(scrPane);
			}
      if (text.equals("Cartas"))   {
         JFrame cartas = new JFrame("Cartas disponibles");
			cartas.setVisible(true);
			cartas.setBounds(0,0,1024,MyWorldView.HEIGHT);
			cartas.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
				
			JPanel container = new JPanel();
		   ImageIcon image = new ImageIcon("src/Cartas.png");
			JLabel label = new JLabel("", image, JLabel.CENTER);

			JScrollPane scrPane = new JScrollPane(container);
			container.add( label, BorderLayout.CENTER );
		   cartas.getContentPane().add(scrPane);
			}
      if (text.equals("Historia")) {
         /*JFrame historia = new JFrame("Historia");
			historia.setVisible(true);
			historia.setBounds(0,0,1024,MyWorldView.HEIGHT);
			historia.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
				
			JPanel container = new JPanel();
		   ImageIcon image = new ImageIcon("src/Historia.png");
			JLabel label = new JLabel("", image, JLabel.CENTER);

			JScrollPane scrPane = new JScrollPane(container);
			container.add( label, BorderLayout.CENTER );
		   historia.getContentPane().add(scrPane);*/
			}
   }
}

